Jump to content


Photo

XML-RPC PHP Extensions Installation!


  • Please log in to reply
1 reply to this topic

#1 daniel_grant

daniel_grant
  • New Members
  • Pip
  • Newbie
  • 1 posts

Posted 01 May 2006 - 01:01 AM

Hello,

I am tyring to install the Ubersmith Control Panel onto a website I run, however, I cannot proceed with the installation as I get the following:

PHP4 Version 4.4.2 (apache) OK
Safe Mode disabled OK
Ubersmith Location / OK
Configuration and Token files present OK
.htaccess file present OK
Apache AllowOverride enabled OK
__FILE__ Directive supported OK
cURL extension installed OK
XML-RPC extension not installed error
Ubersmith requires the XML-RPC PHP extension in order to run.

GD extension installed OK
Mcrypt extension installed OK
OpenSSL extension installed OK
Program execution functions allowed OK
set_time_limit() function allowed OK
Memory Limit 20Mb OK
File uploads allowed OK

My current server setup is:

Apache 1.3.34
PHP 4.4.2

I am using the DirectAdmin Control Panel, with Fedora Core and I also have root access to the server.

My question is this, can anyone provide me with a simple guide on how to get this working? I've looked high and low on the internet and I can't seem to find a solution that I can implement.

So if anyone can tell me exactly how to rectify this error, it would be very greatly appreciated.

Thanks alot,

Daniel.

#2 Transwarp-Tim

Transwarp-Tim
  • New Members
  • Pip
  • Newbie
  • 1 posts

Posted 25 May 2006 - 11:53 PM

[!--quoteo(post=370193:date=Apr 30 2006, 07:01 PM:name=daniel_grant)--][div class=\'quotetop\']QUOTE(daniel_grant @ Apr 30 2006, 07:01 PM) View Post[/div][div class=\'quotemain\'][!--quotec--]
Hello,

I am tyring to install the Ubersmith Control Panel onto a website I run, however, I cannot proceed with the installation as I get the following:


XML-RPC extension not installed error
Ubersmith requires the XML-RPC PHP extension in order to run.


[/quote]

Anybody have a solution here?

There does not appear to be a module XML-RPC but there is a XML_RPC which I assume to be the same thing.

[root@iworx ~]# pear list
Installed packages:
===================
Package Version State
Archive_Tar 1.1 stable
Console_Getopt 1.2 stable
HTML_Template_IT 1.1 stable
Net_UserAgent_Detect 2.0.1 stable
PEAR 1.3.5 stable
XML_RPC 1.4.8 stable
XML_Transformer 1.1.0 stable
XML_Util 1.1.1 stable
XML_XPath 1.2.3 stable
[root@iworx ~]# pear upgrade XML_RPC
Package 'XML_RPC-1.4.8' already installed, skipping

As you can see I have it installed and the most stable version.

Any ideas?





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users